<?php
#by FeST
#ICQ : 3452223
#Действия с таблицами

$table=chek($_GET['table']);
$query="SHOW FULL FIELDS FROM ".$table."";
		$arr = mysql_query($query); 
		if(!$arr) echo "Произошла ошибка: ".mysql_error(); 
			if(mysql_num_rows($arr)) 
			{ 
				echo "Таблица &quot;<a href='index.php?table=".$table."&amp;mode=show'><b>".$table."</b></a>&quot;-&gt;Структура
				<table border='1' width='100%'>
				<tr align='center'>
				<td><b>Поле</b></td>
				<td><b>Тип</b></td>
				<td><b>Кодировка</b></td>
				<td><b>Действия</b></td>
				</tr>
				";
				$i=1;
				while($result = mysql_fetch_array($arr)) 
				{ 
				echo "<tr align='center' class='".($i%2 ? "tr1" : "tr2")."'>
				<td>".$result[0]."</td>
				<td>".$result[1]."</td>
				<td>".$result[2]."</td>
				<td align='center'><a href='index.php?table=".$table."&amp;mode=editor&amp;column=".$result[0]."'><img src='i/edit.png' /></a><a href='index.php?table=".$table."&amp;del&amp;mode=editor&amp;column=".$result[0]."'><img src='i/delete.png' /></a></td>
				</tr>";
					$i++;
				}
				echo "</table>";
			
			}
			


?>
